Quality Center / ALM Practitioners Forum
Showing results for 
Search instead for 
Do you mean 

QTP 9.2 Scripts on QTP 10.0

Occasional Advisor

QTP 9.2 Scripts on QTP 10.0

I am going to be moving to both QTP and QC 10.0 in the near future. I currently have QC 9.0. All of the scripts in use are formatted for QTP version 9.2. In order for these scripts to work with QC 10.0, do they need to be upgraded to QTP version 10.0 as well?

I have understand that the QTP 9.2 scripts run fine on QTP 10.0, but I would like to know if they will run fine on QC 10?
7 REPLIES
Honored Contributor [Founder]

Re: QTP 9.2 Scripts on QTP 10.0

Gary QTP v9.2 scripts will run under QTP v10 but you have to convert them first (v10 asks if you want to convert the script when you first open it). Once converted this script can no-longer be used with v9.2.

Mark Smith.
Occasional Advisor

Re: QTP 9.2 Scripts on QTP 10.0

Hi, maybe all of the acronyms made my question a little confusing. I would like to know if Quicktest Pro 9.2 scripts will work with Quality Center 10.0.

OR do the quicktest pro 9.2 scripts need to be converted to quicktest pro 10.0 in order to work with Quality Center 10.0
Super Advisor [Founder]

Re: QTP 9.2 Scripts on QTP 10.0

Gary,

QTP 9.2 will NOT work with QC 10.

QTP 10 will work with QC 9.2.

This is the way we are going to migrate. Otherwise you would have to migrate both at the sametime and based on the size of your organization, it may be too big to do both.

We have taken a phased approach. Migrate QTP 9.5 to 10, then in a few months migrate QC 9.2 to 10.
Occasional Advisor

Re: QTP 9.2 Scripts on QTP 10.0

I understand that QTP 9.2 will not work with Quality Center 10.0. However, the existing scripts that we have in Quality Center 9.0 are QTP 9.2 scripts and they work with QTP 10.0. So I was wondering if when I moved to Quality Center 10.0 would I have to individually upgrade each existing QTP 9.2 Script to QTP 10.0. OR because they already work with QTP 10.0 would I be able to leave them as is while migrating to Quality Center 10.0

I would also like to know if there is a tool that can upgrade scripts from QTP 9.2 to 10.0 as a whole instead of indiviudally.
Honored Contributor [Founder]

Re: QTP 9.2 Scripts on QTP 10.0

Gary,

You will need to execute each individual script and convert them to QTP. It is also best practice to test each script or high risk scripts to make sure that they are converted correctly and still reading the environment that it needs to run into.

I hope this helps.
John Scarpino
Occasional Advisor

Re: QTP 9.2 Scripts on QTP 10.0

Hi Gary,

QTP 9.2 or QTP 10.0 is compatible with QC v10.0 But when you go on the other way, QC 10.0 is not compatible with QTP versions lesser than v10.0.

You have a tool called Quick Test Asset Upgrade tool which will convert all the QTP v9.2 scripts compatible to QTP v10.0
Occasional Advisor

Re: QTP 9.2 Scripts on QTP 10.0

Sorry about my previous post. Here is the info...

QC 9.2 is compatible with QTP v10.0 or v9.2 But when you go on the other way, QC 10.0 is not compatible with QTP versions lesser than v10.0.

You have a tool called Quick Test Asset Upgrade tool which will convert all the QTP v9.2 scripts compatible to QTP v10.0